def check_password(password):
    digit = False
    uppercase = False
    lowercase = False
    if len(password) < 8:
        return False
    for character in password:
        if character.isdigit():
            digit = True
        if character.islower():
            lowercase = True
        if character.isupper():
            uppercase = True
    if digit and lowercase and uppercase:
        return True
    return False


def main():
    print(check_password('password'))
    print(check_password('a87fRPesT'))
    print(check_password('a8P'))
    print(check_password('abFHaprucndPE8'))
    print(check_password('arPReSH!!$@'))
    print(check_password('Password1'))




if __name__ == '__main__':
    main()
